unit FormScript;

interface

uses
	Windows, Messages, SysUtils, Classes, Forms, Controls, StdCtrls, Dialogs,
	psvActiveScript, uDispatch, ImoutoSDK;

type
	TForm_Script = class(TForm)
    ActiveScript1: TpsvActiveScriptSite;
    Btn_Reload: TButton;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
		procedure ActiveScript1Error(Sender: TObject; Line, Pos: Integer; ASrc, ADescription: String);
    procedure Btn_ReloadClick(Sender: TObject);
	public
		ScriptDispatcher: TDispatch;

		procedure LoadScript;
	end;

var
	Form_Script: TForm_Script;

implementation

uses ImoutoCLS;

{$R *.dfm}

procedure TForm_Script.LoadScript;
begin
	ActiveScript1.Execute(Memo1.Text);
	ScriptDispatcher := TDispatch.Create(ActiveScript1.ScriptInterface);
end;

procedure TForm_Script.FormCreate(Sender: TObject);
begin
	ActiveScript1.AddNamedItem('ImoutoDesktop', TImoutoDesktop.Create);
  ActiveScript1.AddNamedItem('Screen', TScreenDispatch.Create);
  Memo1.Lines.LoadFromFile(ExtractFilePath(Application.ExeName) + 'Script.js');
  LoadScript;
end;

procedure TForm_Script.ActiveScript1Error(Sender: TObject; Line, Pos: Integer; ASrc, ADescription: String);
begin
	ShowMessageFmt('ERROR %d,%d'#13#10'%s'#13#10'%s', [Line, Pos, ASrc, ADescription]);
end;

procedure TForm_Script.Btn_ReloadClick(Sender: TObject);
begin
  LoadScript;
end;

end.

